Skip to content

Alert Manager

Manage platform alerts and their enabled state. Supports bulk fetch, creation, update, bulk deletion, and toggling alerts on or off.

Fetch alert(s) by id. Supports bulk fetch.

Request

Security
bearerAuth and apiKeyAuth
Query
idstring

Comma-separated list of alert ids

pageNumberstring

Page number (0-based)

pageSizestring

Page size

modulestring

Alert module

curl -i -X GET \
  'https://developer.sprinklr.com/_mock/apis/sprinklr-v3/alert-manager?id=string&pageNumber=string&pageSize=string&module=string' \
  -H 'Authorization: Bearer <YOUR_Token_HERE>' \
  -H 'Key: YOUR_API_KEY_HERE'

Responses

Success

Bodyapplication/json
Array [
idstring

Unique identifier of the Alert in Sprinklr

namestringrequired

Alert name

descriptionstring

Alert description

categorystringrequired

Alert category

modulestringrequired

Alert module

statusstringrequired

Alert status

filterDimensionsArray of objects(Filter_reporting)required

Alert Dimension Filter list to filter out required data

tagsArray of strings

Tags to group Alert based on use case

enabledbooleanrequired

Flag to enable/disable alert

distributionConfigobject(AlertDistributionApiConfig)required

Alert distribution configuration

smartAlertConfigobject(SmartAlertApiConfig)

Smart alert config

volumetricAlertConfigobject(VolumetricAlertApiConfig)

Volumetric alert config

createdTimeinteger, (int64)

Alert created time

modifiedTimeinteger, (int64)

Alert last modified time

ownerUserIdinteger, (int64)

Alert owner User ID

lastModifiedUserIdinteger, (int64)

Alert last modified User ID

clientIdinteger, (int64)

Alert client id

]
Response
[ { "id": "string", "name": "string", "description": "string", "category": "string", "module": "string", "status": "string", "filterDimensions": [ … ], "tags": [ … ], "enabled": true, "distributionConfig": { … }, "smartAlertConfig": { … }, "volumetricAlertConfig": { … }, "createdTime": 0, "modifiedTime": 0, "ownerUserId": 0, "lastModifiedUserId": 0, "clientId": 0 } ]